Skip to main content
PATCH
/
api
/
v2
/
engineering-insights
/
insights
/
groups
/
{insightGroupKey}
Patch insight group
curl --request PATCH \
  --url https://app.launchdarkly.com/api/v2/engineering-insights/insights/groups/{insightGroupKey} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "op": "replace",
    "path": "/name",
    "value": "Prod group"
  }
]
'
{
  "key": "default-production-all-apps",
  "name": "Production - All Apps",
  "projectKey": "default",
  "environmentKey": "production",
  "createdAt": "1706701522000",
  "environment": {
    "_links": {
      "self": {
        "href": "/api/v2/projects/my-project/environments/my-environment",
        "type": "application/json"
      }
    },
    "_id": "57be1db38b75bf0772d11384",
    "key": "environment-key-123abc",
    "name": "My Environment",
    "apiKey": "sdk-xxx",
    "mobileKey": "mob-xxx",
    "color": "F5A623",
    "defaultTtl": 5,
    "secureMode": true,
    "defaultTrackEvents": false,
    "requireComments": true,
    "confirmChanges": true,
    "tags": [
      "ops"
    ],
    "critical": true,
    "_access": {
      "denied": [
        {
          "action": "<string>",
          "reason": {
            "effect": "allow",
            "resources": [
              "proj/*:env/*;qa_*:/flag/*"
            ],
            "notResources": [
              "<string>"
            ],
            "actions": [
              "*"
            ],
            "notActions": [
              "<string>"
            ],
            "role_name": "<string>"
          }
        }
      ],
      "allowed": [
        {
          "action": "<string>",
          "reason": {
            "effect": "allow",
            "resources": [
              "proj/*:env/*;qa_*:/flag/*"
            ],
            "notResources": [
              "<string>"
            ],
            "actions": [
              "*"
            ],
            "notActions": [
              "<string>"
            ],
            "role_name": "<string>"
          }
        }
      ]
    },
    "approvalSettings": {
      "required": true,
      "bypassApprovalsForPendingChanges": false,
      "minNumApprovals": 1,
      "canReviewOwnRequest": false,
      "canApplyDeclinedChanges": true,
      "serviceKind": "launchdarkly",
      "serviceConfig": {},
      "requiredApprovalTags": [
        "require-approval"
      ],
      "autoApplyApprovedChanges": true,
      "serviceKindConfigurationId": "1ef45a85-218f-4428-a8b2-a97e5f56c258"
    },
    "resourceApprovalSettings": {}
  },
  "scores": {
    "overall": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "deploymentFrequency": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "deploymentFailureRate": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "leadTime": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "impactSize": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "experimentationCoverage": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "flagHealth": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "velocity": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "risk": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "efficiency": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    },
    "creationRatio": {
      "score": 100,
      "indicator": "excellent",
      "indicatorRange": {
        "min": 0,
        "max": 100
      },
      "aggregateOf": [
        "deploymentFrequency",
        "leadTime"
      ],
      "diffVsLastPeriod": 123,
      "lastPeriod": "<unknown>"
    }
  },
  "scoreMetadata": {
    "period": {
      "startTime": "1706701522000",
      "endTime": "1706701522000"
    },
    "lastPeriod": {
      "startTime": "1706701522000",
      "endTime": "1706701522000"
    }
  },
  "applicationKeys": [
    "billing-service",
    "inventory-service"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

insightGroupKey
string<string>
required

The insight group key

Body

application/json
op
string
required

The type of operation to perform

Example:

"replace"

path
string
required

A JSON Pointer string specifying the part of the document to operate on

Example:

"/exampleField"

value
any

A JSON value used in "add", "replace", and "test" operations

Example:

"new example value"

Response

Insight group response

key
string
required

The insight group key

Example:

"default-production-all-apps"

name
string
required

The insight group name

Example:

"Production - All Apps"

projectKey
string
required

The project key

Example:

"default"

environmentKey
string
required

The environment key

Example:

"production"

createdAt
integer<int64>
required

The time the insight group was created

Example:

"1706701522000"

environment
object

Expanded details about the environment

scores
object

The scores for the insight group

scoreMetadata
object

Metadata about the insight scores, when expanded

applicationKeys
string[]

The application keys

Example:
["billing-service", "inventory-service"]